Subject: [os2genau_digest] No. 1669
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 10 Jul 2008 00:00:31 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 09 July 2008
 Number  1669
**************************************************

Subjects for today
 
1   IDE Raid : Chris Neeson" <neeson.cj.oz at gmail dot com>
2  Re:  IDE Raid : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Wed, 9 Jul 2008 13:09:08 +1000
From:  "Chris Neeson" <neeson.cj.oz at gmail dot com>
Subject:   IDE Raid

Hi guys.

I'm wondering how OS/2 goes
with IDE/ATA Raid adapters/chips.

I'm hoping that the firmware takes
care of simplistic mirroring, for eg,
and OS/2 simply trundles along.

But, is that the case?

( it would increase the 'reliability'
  of the old home PC if I could
  do that ).

Regards
Chris Neeson
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 09 Jul 2008 13:47:25 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  IDE Raid

Hi Chris,

  This is something I wanted to test, but haven't got around to yet.

  The most common onboard or simple PCI card SataRaid controllers appear 
to be supported by the Dani drivers in non-raid mode.

  If you have one (as I do) that is set up via a key combination at 
system BIOS startup (or via CMOS), in theory you should be able to have 
two identical drives mirror themselves without the need for an OS based 
program.  However - how do you know when a drive has failed and how do 
you tell the controller that it needs to rebuild the replacement drive 
after you fit it., if you don't have monitoring software? One add-in 
card I have, has Java based monitoring software, but whether this can 
gain access to the controller from OS/2 as apposed to Windows, I do not 
know.

 I would presume (and could easily be wrong) that the drives need to be 
in SATA mode rather than EIDE Compatible mode for this semi-hardware 
raid to work. I say semi-hardware as these solutions still use the main 
processor, so if your OS hangs the processor, I expect the RAIS array is 
impacted.

  If you are talking about the Adaptec or similar SATA Raid controllers 
with their own processors these are a far better solution, but you will 
face the same problem with monitoring / management software at the OS 
level. They have stopped supplying OS/2 programs several versions ago.

  It may also be worth noting that (if I am not mistaken) that OS/2 has 
for a long time come with a form of software raid (mirroring)  of any 
form or mixture of forms of HD, through the FFST component of the OS. 
Most people would not have used this as it drains CPU power, however 
with the powerful processors we have now-a-days it may well be worth a 
look again !

Cheers/2

Ed.

Chris Neeson wrote:

> Hi guys.
>
> I'm wondering how OS/2 goes
> with IDE/ATA Raid adapters/chips.
>
> I'm hoping that the firmware takes
> care of simplistic mirroring, for eg,
> and OS/2 simply trundles along.
>
> But, is that the case?
>
> ( it would increase the 'reliability'
>   of the old home PC if I could
>   do that ).
>
>
> Regards
> Chris Neeson

>  

>
>   

----------------------------------------------------------------------------------